jQuery(document).ready(function ($) {

	// Tabs
	$('.inline-list').each(function() {
		$(this).find('li').each(function(i) {
			$(this).click(function(){
				$(this).addClass('current').siblings().removeClass('current')
				.parents('#wpbody').find('div.panel-left').removeClass('visible').end().find( 'div.panel-left:eq('+i+')' ).addClass('visible');
				return false;
			} );
		} );
	} );


	// Scroll to anchor
	$('.anchor-nav a,.toc a').click(function(e) {
		e.preventDefault();
		var href = $(this).attr('href');
		$('html, body').animate( {
			scrollTop: $( href ).offset().top - 50
		}, 'slow', 'swing' );
	} );


	// Add lightbox to cloud links
	$("a[href*='cl.ly']:not(.direct-link)").each( function() {
    	// Add thickbox class to each cloud link
    	$(this).addClass('thickbox');
    	// Add the iframe code to each cloud link
    	var imgUrl = $(this).attr('href') + '?TB_iframe=true&width=1200&height=700';
    	// Set the new url
    	$(this).attr('href', imgUrl );
	} );

});

jQuery(document).ready(function () {
	
	jQuery('.tmpl-auto-install-yb a.button-primary').click(function (e) {
		/* if button is disabled then do not allow to click again */
		if (jQuery(this).is('[disabled=disabled]')) {
			return false;
		}
		if (jQuery(this).parent().find('.delete-data-button').length <= 0)
		{
			jQuery('span a.button-primary').html('Installing Sample Data...');
			jQuery('.tmpl-auto-install-yb span').append('<span class=\"tmpl_success_msg\" >This <strong>could take up to 5-10 minutes</strong>. Sit back and relax while we install the sample data for you. Please do not close this window until it completes.</span>');
			/* disable button during auto install is running */
			jQuery(this).attr('disabled', 'disabled');
			return true;
		}
	});

	jQuery('.delete-data-button').click(function () {

		/* if button is disabled then do not allow to click again */
		if (jQuery(this).is('[disabled=disabled]')) {
			return false;
		}

		if (confirm('Sure want to delete sample data?') == true) {
			jQuery('span a.delete-data-button').html('Deleting Sample Data...');
			jQuery('#install-notification #success_msg_install').remove();
			jQuery('#install-notification  span').append('<span class=\"delete_sample_msg\">This <strong>could take up to 5-10 minutes</strong>. Sit back and relax while we delete the sample data for you. Please do not close this window until it completes.</span>');
			/* disable button during auto install is running */
			jQuery(this).attr('disabled', 'disabled');
			return true;
		} else {
			return false;
		}
	});
});