<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package thereader
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		if ( is_single() ) {
			the_title( '<h1 class="entry-title">', '</h1>' );
		} else {
			echo '<h2 class="entry-title"><a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">';
			the_title();
			echo '</a></h2>';
		}

		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php thereader_posted_on(); ?>

						<?php echo '- ';
						if ( ! comments_open() && ! pings_open() ) {
							echo '<span class="c-off">' . esc_html__( 'Off','thereader' ) . '</span>';
						} else {
							comments_popup_link( esc_html__( '0 Comment', 'thereader' ), esc_html__( '1 Comment', 'thereader' ), esc_html__( '% Coments', 'thereader' ) );
						}
						echo ''; ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-summary">
		<?php the_excerpt();
		echo '<p class="more-link"><a class="title" href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . esc_html__( 'Keep Reading','thereader' ) . '<i class="fa fa-angle-right"></i></a></p>'; ?>
	</div><!-- .entry-summary -->
</article><!-- #post-## -->




